Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.atlassian.bamboo.repository.perforce
Class PerforceSyncCommand

    java.lang.Object
      com.atlassian.bamboo.command.Command
          com.atlassian.bamboo.repository.perforce.AbstractPerforceCommand
              com.atlassian.bamboo.repository.perforce.PerforceSyncCommand

    public class PerforceSyncCommand

extends AbstractPerforceCommand

This checks out the latest version of the build

Constructor Summary
`PerforceSyncCommand()`

Method Summary
`Commandline` | `getCommandLine()` Basic Perforce P4 command line.
`String` | `getDepot()` What is the build depot?
`void` | `setDepot(String depot)` Set the build depot
`void` | `setForceUpdate(boolean forceUpdate)` Should we force the sync to update all the files in the depot?

Methods inherited from class com.atlassian.bamboo.repository.perforce.AbstractPerforceCommand
`getClient, getP4Executable, getPort, getUser, getWorkingDirectory, setClient, setP4Executable, setPort, setUser`

Methods inherited from class com.atlassian.bamboo.command.Command
`executeCommand, getEnvironmentSetting, getErrorOutput, getOutput, hasErrors, isExecutableExists, isWindowsPlatform`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PerforceSyncCommand

    public PerforceSyncCommand()

Method Detail

### getCommandLine

    public Commandline getCommandLine()

  Basic Perforce P4 command line.

  Specified by:
    `getCommandLine` in class `Command`
  Returns:
    The perforce command to checkout the changes to the build since the last time it was called.

### setDepot

    public void setDepot(String depot)

  Set the build depot

  Parameters:
    `depot` - The perforce build depot

### getDepot

    public String getDepot()

  What is the build depot?

  Returns:
    the depot

### setForceUpdate

    public void setForceUpdate(boolean forceUpdate)

  Should we force the sync to update all the files in the depot?

  Parameters:
    `forceUpdate` - true if we want to force all files to be updated on the client

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 Atlassian Software Systems. All Rights Reserved.